var test = require('tape');
var http = require('http');

test('basic', function (t) {
    t.plan(5);
    var refreshServer = require('../lib/refresh-server');
    t.equal(typeof refreshServer, 'object');
    var PORT = 5000;
    refreshServer.listen(PORT, function() {
        t.equal(refreshServer.pendingResponses.length, 0);

        var req = http.request({
            port: PORT
        }, function() {
            t.pass('client should connect to refreshServer');
        });


        setTimeout(function() {
            t.equal(refreshServer.pendingResponses.length, 1);
            refreshServer.refresh();
            t.equal(refreshServer.pendingResponses.length, 0);

            refreshServer.close();
        }, 1000);


    });

});


